<?php
/**
 * PostNuke Application Framework
 *
 * @copyright (c) 2001, PostNuke Development Team
 * @link http://www.postnuke.com
 * @version $Id: pntables.php 191 2006-05-14 21:19:13Z chestnut $
 * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
 */

function GoogleMap_pntables()
{
    // Initialise table array
    $pntable = array();

    // Get the name for the Example item table.  This is not necessary
    // but helps in the following statements and keeps them readable
    $tbl = pnConfigGetVar('prefix') . '_googlemap_markers';

    // Set the table name
    $pntable['googlemap_markers'] = $tbl;

    // Set the column names.  Note that the array has been formatted
    // on-screen to be very easy to read by a user.
    $pntable['googlemap_markers_column'] = array('mid'      => 'pn_mid',
                                                 'title'    => 'pn_title',
                                                 'uid'      => 'pn_uid',
                                                 'lat'      => 'pn_latitude',
                                                 'long'     => 'pn_longitude',
                                                 'msg'      => 'pn_msg',
                                                 'icon'     => 'pn_icon');

    // Return the table information
    return $pntable;

}

?>