<!--[* $Id: GoogleMap_user_main.tpl 166 2006-05-03 11:18:02Z chestnut $ *]-->

  <!--[add_additional_header header=$iefix]-->
  <!--[add_additional_header header=$mapstart]-->

  <noscript>
    <p><!--[pnml name='_GM_NOSCRIPTWARNING']--></p>
  </noscript>
  <!--[pnusergetvar name='uname' assign='currentuname']-->
  <script defer="defer" type="text/javascript">
  //<![CDATA[
    setTimeout("ShowGoogleMap()", 100);
    window.unonload = "GUnload()";
    var sidebar_html = "";
    var htmls = [];
    var i = 0;
    var allusers        = [];
    var allonlines      = [];
    var allspecials     = [];
    var total_users     = 0;
    var total_onlines   = 0;
    var total_specials  = 0;
    var map             = new Object();
    var dummy           = null;
    var specialdummy    = null;
    function mymapclick(i) {
      var opts = new Object();
      opts.maxWidth = 200;
      allusers[i].openInfoWindowHtml(htmls[i],opts);
    }
    function showhideusers() {
      var showhide = 0;
      if (allusers.length > total_users) {
        showhide = 1;
      } else {
        showhide = 0;
      }
      for (var y = 0; y < allusers.length; y++) {
        if (showhide == 1) {
            map.addOverlay(allusers[y]);
            total_users++;
        } else {
            map.removeOverlay(allusers[y]);
            total_users--;
        }
      }
    }
    function showhidespecials() {
      var showhide = 0;
      if (allspecials.length > total_specials) {
        showhide = 1;
      } else {
        showhide = 0;
      }
      for (var y = 0; y < allspecials.length; y++) {
        if (showhide == 1) {
            map.addOverlay(allspecials[y]);
            total_specials++;
        } else {
            map.removeOverlay(allspecials[y]);
            total_specials--;
        }
      }
    }
    function showhideonlines() {
      var showhide = 0;
      if (allonlines.length > total_onlines) {
        showhide = 1;
      } else {
        showhide = 0;
      }
      for (var y = 0; y < allonlines.length; y++) {
        if (showhide == 1) {
            map.addOverlay(allonlines[y]);
            total_onlines++;
        } else {
            map.removeOverlay(allonlines[y]);
            total_onlines--;
        }
      }
    }
    function myZoom(lat, lng, level) {
      var myzoom = map.getZoom();
      if (level < 0) {
        if ((myzoom + level) < 0) {
          map.setCenter(new GLatLng(lat, lng), 0);
        } else {
          map.setCenter(new GLatLng(lat, lng), myzoom + level);
        }
      } else {
        if ((myzoom + level) > 15) {
          map.setCenter(new GLatLng(lat, lng), 19);
        } else {
          map.setCenter(new GLatLng(lat, lng), myzoom + level);
        }
      }
    }
    function addnewusermarker() {
      if (dummy) {
        if (map.getInfoWindow().getPoint() && map.getInfoWindow().getPoint().equals(dummy.getPoint()) && !map.getInfoWindow().isHidden() ) {
          map.closeInfoWindow();
        }
        map.removeOverlay(dummy);
        dummy = null;
      } else {
        var center = map.getCenter();
        var point = new GLatLng(center.y,center.x);
        var content  = '<!--[$currentuname]--><br /><br />';
            content += '<form action="<!--[pnmodurl modname="GoogleMap" type="user" func="update"]-->" method="post" enctype="application/x-www-form-urlencoded">';
            content += '<input type="hidden" name="uid" value="<!--[pnusergetvar name='uid']-->" />';
            content += '<input type="hidden" name="action" value="add" />';
            content += '<input type="text"   name="latitude" size="30" maxlength="100" value="'+center.y+'" />';
            content += '<input type="text"   name="longitude" size="30" maxlength="100" value="'+center.x+'" />';
            content += '<input type="text"   name="msg" size="30" maxlength="100" value="<!--[pnml name='_GM_ADDMESSAGE']-->"><br /><br />';
            content += '<input type="submit" value="Save marker" /></form>';
        var marker = createMarker(point,'marker_point.png','<!--[$currentuname]-->',content)
        map.addOverlay(marker);
        var opts = new Object();
        opts.maxWidth = 200;
        marker.openInfoWindowHtml(content,opts);
        dummy = marker;
        marker = null;
      }
    }
  <!--[if $canadd]-->

    function addspecialmarker() {
      if (specialdummy) {
        if (map.getInfoWindow().getPoint() && map.getInfoWindow().getPoint().equals(specialdummy.getPoint()) && !map.getInfoWindow().isHidden() ) {
          map.closeInfoWindow();
        }
        map.removeOverlay(specialdummy);
        specialdummy = null;
      } else {
        var center = map.getCenter();
        var point = new GLatLng(center.y,center.x);
        var content  = '<form action="<!--[pnmodurl modname="GoogleMap" type="admin" func="updatespecial"]-->" method="post" enctype="application/x-www-form-urlencoded">';
            content += '<input type="hidden" name="uid" value="-1" />';
            content += '<input type="hidden" name="action" value="add" />';
            content += '<input type="hidden" name="test" value="1" />';
            content += '<input type="text"   name="latitude" size="30" maxlength="100" value="'+center.y+'" />';
            content += '<input type="text"   name="longitude" size="30" maxlength="100" value="'+center.x+'" />';
            content += '<input type="text"   name="title" size="30" maxlength="100" value="<!--[pnml name='_GM_ADDTITLE']-->" />';
            content += '<input type="text"   name="msg" size="30" maxlength="100" value="<!--[pnml name='_GM_ADDMESSAGE']-->" />';
            content += '<select name="icon">';
            content += '<!--[$icons]-->';
            content += '</select>';
            content += '<input type="submit" value="Save marker" /></form>';
        var marker = createMarker(point,'marker_point.png','Test','test<br />'+content+'<div style="text-align:center; white-space:nowrap;"><br /><a title="<!--[pnml name='_GM_ZOOMIN']-->" href="javascript:void(0)" onclick="myZoom(' + center.y + ',' + center.x + ', 2)"><strong><!--[pnml name='_GM_ZOOMIN']--></strong></a> | <a title="<!--[pnml name='_GM_ZOOMOUT']-->" href="javascript:void(0)" onclick="myZoom(' + center.y + ',' + center.x + ', -2)"><strong><!--[pnml name='_GM_ZOOMOUT']--></strong></a></div>')
        map.addOverlay(marker);
        var opts = new Object();
        opts.maxWidth = 200;
        marker.openInfoWindowHtml(content,opts);
        specialdummy = marker;
        marker = null;
      }
    }

    <!--[/if]-->
    function ShowGoogleMap()
    {
      if (GBrowserIsCompatible()) {

        function createOnlineMarker(point,name,uname,html,icon) {
          var onlinecount = 1;
          for (var x = 0; x < allonlines.length; x++) {
              //if (allonlines[x]) {
                var oldcoords = allonlines[x].getPoint();
                if (oldcoords.y == point.y && oldcoords.x == point.x) {
                    onlinecount++;
                    //var newlat = point.y + 0.004;
                    //var newlng = point.x + 0.004;
                    //point = new GLatLng(newlat, newlng);
                    map.removeOverlay(allonlines[x]);
                    //allonlines.splice(x, 1);
                    //total_onlines--;
                }
              //}
          }
          if (onlinecount > 1) {
            uname = uname + ' ( '+onlinecount+' )';
          }
          html = uname + '<br />' + html;
          var marker = new GMarker(point, icon);
          GEvent.addListener(marker, "click", function() {
            var opts = new Object();
            opts.maxWidth = 200;
            marker.openInfoWindowHtml(html,opts);
          });

          allonlines[i] = marker;
          i++;
          total_onlines++;

          return marker;
        }

        //var map = new GMap2(document.getElementById("map"));
        map = new GMap2(document.getElementById("map"));
        GEvent.addListener(map, "moveend", function() {
          var center = map.getCenter();
          var curzoom = map.getZoom();
          var latLngStr = '(Latitude: ' + center.y + ', Longitude: ' + center.x + ', Zoom: ' + curzoom + ')';
          document.getElementById("message").innerHTML = latLngStr;
        });
        map.addControl(new GLargeMapControl());
        map.addControl(new GMapTypeControl());

        map.setCenter(new GLatLng(<!--[$modvars.initiallat]-->, <!--[$modvars.initiallong]-->), <!--[$modvars.initialzoomlevel]-->);
        map.setMapType(<!--[$modvars.initialmaptype]-->);


        //var smallIcon = new GIcon();
        //smallIcon.shadow = "modules/GoogleMap/pnimages/small/mm_20_shadow.png";
        //smallIcon.iconSize = new GSize(12, 20);
        //smallIcon.shadowSize = new GSize(22, 20);
        //smallIcon.iconAnchor = new GPoint(6, 20);
        //smallIcon.infoWindowAnchor = new GPoint(5, 1);
        //smallIcon.infoShadowAnchor = new GPoint(5, 1);

    <!--[if $modvars.showusersonline]-->
        i = 0;
      <!--[foreach item='online' from=$onlines]-->

        var icon = new GIcon();
        icon.image = "modules/GoogleMap/pnimages/<!--[$online.icon]-->";
        icon.shadow = "modules/GoogleMap/pnimages/small/mm_20_shadow.png";
        icon.iconSize = new GSize(12, 20);
        icon.shadowSize = new GSize(22, 20);
        icon.iconAnchor = new GPoint(6, 20);
        icon.infoWindowAnchor = new GPoint(5, 1);
        var point = new GLatLng(<!--[$online.latitude]-->,<!--[$online.longitude]-->);
        var lat = parseFloat(<!--[$online.latitude]-->);
        var lng = parseFloat(<!--[$online.longitude]-->);
        var marker = createOnlineMarker(point,'<!--[$online.userip]-->','<!--[$online.uname]-->','<!--[$online.country|pnvarprephtmldisplay|replace:"'":"\'"]--><br /><!--[$online.city|pnvarprephtmldisplay|replace:"'":"\'"]--><div style="text-align:center; white-space:nowrap;"><br /><a title="<!--[pnml name='_GM_ZOOMIN']-->" href="javascript:void(0)" onclick="myZoom(' + lat + ',' + lng + ', 2)"><strong><!--[pnml name='_GM_ZOOMIN']--></strong></a> | <a title="<!--[pnml name='_GM_ZOOMOUT']-->" href="javascript:void(0)" onclick="myZoom(' + lat + ',' + lng + ', -2)"><strong><!--[pnml name='_GM_ZOOMOUT']--></strong></a></div>',icon)
        map.addOverlay(marker);

      <!--[/foreach]-->
    <!--[/if]-->

        i = 0;
      <!--[foreach item='special' from=$specials]-->

        var icon = new GIcon();
        icon.image = "modules/GoogleMap/pnimages/<!--[$special.icon]-->";
        icon.shadow = "modules/GoogleMap/pnimages/small/mm_20_shadow.png";
        icon.iconSize = new GSize(12, 20);
        icon.shadowSize = new GSize(22, 20);
        icon.iconAnchor = new GPoint(6, 20);
        icon.infoWindowAnchor = new GPoint(5, 1);
        var point = new GLatLng(<!--[$special.latitude]-->,<!--[$special.longitude]-->);
        var lat = parseFloat(<!--[$special.latitude]-->);
        var lng = parseFloat(<!--[$special.longitude]-->);
        var marker = createSpecialMarker(point,'<!--[$special.title]-->','<!--[$special.title]--><br /><!--[$special.msg|pnvarprephtmldisplay|replace:"'":"\'"]--><div style="text-align:center; white-space:nowrap;"><br /><a title="<!--[pnml name='_GM_ZOOMIN']-->" href="javascript:void(0)" onclick="myZoom(' + lat + ',' + lng + ', 2)"><strong><!--[pnml name='_GM_ZOOMIN']--></strong></a> | <a title="<!--[pnml name='_GM_ZOOMOUT']-->" href="javascript:void(0)" onclick="myZoom(' + lat + ',' + lng + ', -2)"><strong><!--[pnml name='_GM_ZOOMOUT']--></strong></a></div>',icon)
        map.addOverlay(marker);

      <!--[/foreach]-->

        i = 0;
      <!--[foreach item='marker' from=$markers]-->
        <!--[pnusergetvar name='uname' uid=$marker.uid assign='uname']-->
        var point = new GLatLng(<!--[$marker.latitude]-->,<!--[$marker.longitude]-->);
        var lat = parseFloat(<!--[$marker.latitude]-->);
        var lng = parseFloat(<!--[$marker.longitude]-->);
        var marker = createMarker(point,'<!--[$marker.icon]-->','<!--[$uname]-->','<a href="user.php?op=userinfo&uname=<!--[$uname]-->" title="<!--[$uname]-->"><!--[$uname]--></a><br /><!--[$marker.msg|pnvarprephtmldisplay|replace:"'":"\'"]--><div style="text-align:center; white-space:nowrap;"><br /><a title="<!--[pnml name='_GM_ZOOMIN']-->" href="javascript:void(0)" onclick="myZoom(' + lat + ',' + lng + ', 2)"><strong><!--[pnml name='_GM_ZOOMIN']--></strong></a> | <a title="<!--[pnml name='_GM_ZOOMOUT']-->" href="javascript:void(0)" onclick="myZoom(' + lat + ',' + lng + ', -2)"><strong><!--[pnml name='_GM_ZOOMOUT']--></strong></a></div>')
        map.addOverlay(marker);

      <!--[/foreach]-->

        if (total_users >= 1) {
            sidebar_html += '<br /><a href="javascript:showhideusers()" title="<!--[pnml name='_GM_SHOWHIDEUSERS']-->"><!--[pnimg src='showhideusers.png' alt='_GM_SHOWHIDEUSERS' altml=true]--></a><br />';
        }
        if (total_specials >= 1) {
            sidebar_html += '<a href="javascript:showhidespecials()" title="<!--[pnml name='_GM_SHOWHIDESPECIALS']-->"><!--[pnimg src='showhidespecials.png' alt='_GM_SHOWHIDESPECIALS' altml=true]--></a><br />';
        }
        if (total_onlines >= 1) {
            sidebar_html += '<a href="javascript:showhideonlines()" title="<!--[pnml name='_GM_SHOWHIDEONLINES']-->"><!--[pnimg src='showhideonlines.png' alt='_GM_SHOWHIDEONLINES' altml=true]--></a><!--[* ('+total_onlines+')*]--><br />';
        }

        sidebar_html += '<br />';
        <!--[if $ismapped eq false && $islogged eq true]-->

        sidebar_html += '<a href="javascript:addnewusermarker()" title="<!--[pnml name='_GM_ADDYOURMARKER']-->"><!--[pnimg src='addnewmarker.png' alt='_GM_ADDYOURMARKER' altml=true]--></a><br />';

        <!--[/if]-->
        <!--[if $canadd]-->

        sidebar_html += '<a href="javascript:addspecialmarker()" title="<!--[pnml name='_GM_ADDSPECIALMARKER']-->"><!--[pnimg src='addspecialmarker.png' alt='_GM_ADDSPECIALMARKER' altml=true]--></a><br />';

        <!--[/if]-->

        document.getElementById("mapsidebar").innerHTML = sidebar_html;

      }
    }
    var baseIcon = new GIcon();
    baseIcon.shadow = "modules/GoogleMap/pnimages/shadow50.png";
    baseIcon.iconSize = new GSize(20, 34);
    baseIcon.shadowSize = new GSize(37, 34);
    baseIcon.iconAnchor = new GPoint(9, 34);
    baseIcon.infoWindowAnchor = new GPoint(9, 2);
    baseIcon.infoShadowAnchor = new GPoint(18, 25);

    function createMarker(point,pnicon,name,html) {
      var icon = new GIcon(baseIcon);
      icon.image = "modules/GoogleMap/pnimages/"+pnicon;
      var marker = new GMarker(point, icon);
      GEvent.addListener(marker, "click", function() {
        var opts = new Object();
        opts.maxWidth = 200;
        marker.openInfoWindowHtml(html,opts);
      });

      allusers[i] = marker;
      htmls[i] = html;
      <!--[if $modvars.showuserlist]-->
      sidebar_html += '&nbsp;&nbsp;<a href="javascript:mymapclick(' + i + ')" title="' + name + '">' + name + '</a><br />';
      <!--[/if]-->
      i++;
      total_users++;

      return marker;
    }
    function createSpecialMarker(point,name,html,icon) {
      var marker = new GMarker(point, icon);
      GEvent.addListener(marker, "click", function() {
        var opts = new Object();
        opts.maxWidth = 200;
        marker.openInfoWindowHtml(html,opts);
      });

      allspecials[i] = marker;
      i++;
      total_specials++;

      return marker;
    }
  //]]>
  </script>