<?php
// $Id: function.pnmodulestatus.php 194 2006-05-14 22:24:24Z chestnut $
// ----------------------------------------------------------------------
// PostNuke Content Management System
// Copyright (C) 2002 by the PostNuke Development Team.
// http://www.postnuke.com/
// ----------------------------------------------------------------------
// Based on:
// PHP-NUKE Web Portal System - http://phpnuke.org/
// Thatware - http://thatware.org/
// ----------------------------------------------------------------------
// LICENSE
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License (GPL)
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// To read the license please visit http://www.gnu.org/copyleft/gpl.html
// ----------------------------------------------------------------------

// Leave this plugin in your plugins folder and the plugin call in
// your template. This plugin contact the author's website and checks
// if your module is up to date or if there is a new release.

// The only information sent to the author are the module name
// and the version of the module.

// Absolutly NOTHING ELSE ! ;)

function smarty_function_pnmodulestatus($params, &$smarty)
{

    extract($params);
    unset($params);

    // The author's website
    $statussite = 'http://dev.pnconcept.com';

    // What is the module this plugin is called from
    $modulename = pnModGetName();
    $moduleid   = pnModGetIDFromName($modulename);
    $moduleinfo = pnModGetInfo($moduleid);

    // Getting the version from the version or pnversion.php
    $moduleversion = $moduleinfo['version'];

    // Creating the link to contact the author's website.
    $file = $statussite . '/index.php?module=pnModuleStatus&modulename='.$modulename.'&moduleversion='.$moduleversion;

    // Contacting the author's website and saving the content
    $page = file_get_contents($file);

    if ($page == false)    {
        // If contact has failed, we put a little error message. (soon to be in a define)
        $staus[0] = 'Failed to get module status';

    } else {

        // If we don't want to show the entire author's website, we must only take
        // the information that is important to us.
        $start = '<!-- PNMODULESTATUS_START -->';
        $end = '<!-- PNMODULESTATUS_END -->';

        $null = eregi("$start(.*)$end", $page, $status);
    }

    // Return the information
    if (isset($assign)) {
        $smarty->assign($assign, $status[0]);
    } else {
        return $status[0];
    }

}

?>